Fails to create .sudo_as_admin_successful stamp

Bug #706045 reported by Hernando Torque on 2011-01-21
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
sudo (Ubuntu)
Medium
Unassigned

Bug Description

Starting with sudo 1.7.4p4-5ubuntu1, the "~/.sudo_as_admin_successful" stamp doesn't get created anymore, leading to the gnome-terminal always showing the following hint upon start:

> To run a command as administrator (user "root"), use "sudo <command>".
> See "man sudo_root" for details.

[If you try it, be aware that sudo 1.7.4p4-5ubuntu1 removed the the admin group from sudoers!]

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: sudo 1.7.4p4-5ubuntu2
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Fri Jan 21 20:36:54 2011
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.utf8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
SourcePackage: sudo
Sudoers: Error: command ['gksu', '-D', 'Apport', '--', '/bin/cat', '/etc/sudoers'] failed with exit code 1:
VisudoCheck: /etc/sudoers: parsed OK

Related branches

CVE References

Hernando Torque (htorque) wrote :
Changed in sudo (Ubuntu):
importance: Undecided → Low
description: updated
Changed in sudo (Ubuntu):
status: New → Confirmed
description: updated
Bryce Harrington (bryce) wrote :

Yep, I've reproduced this issue myself on a freshly installed natty system.

Bug #707101 has a couple other confirmations, and seems a dupe of this. I'm upping the priority to match what the dupe bug report was set to. Marking as a regression as well, since I don't recall seeing this on maverick.

Changed in sudo (Ubuntu):
importance: Low → Medium
status: Confirmed → Triaged
Bryce Harrington (bryce) wrote :

It appears that the latest merge of sudo dropped the required patch

sudo (1.7.4p4-5ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #689025), remaining changes:
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets (Ubuntu specific)
      + install man/man8/sudo_root.8 (Ubuntu specific)
      + install apport hooks
    - debian/sudo-ldap.dirs, debian/sudo.dirs: add
      usr/share/apport/package-hooks
  * This upload also fixes: LP: #609645

 -- Lorenzo De Liso <email address hidden> Wed, 15 Dec 2010 21:32:57 +0100

sudo (1.7.4p4-5) unstable; urgency=low
sudo (1.7.4p4-4) unstable; urgency=low
sudo (1.7.4p4-3) unstable; urgency=low
sudo (1.7.4p4-2) unstable; urgency=low
sudo (1.7.4p4-1) unstable; urgency=high
sudo (1.7.2p7-1ubuntu3) natty; urgency=low
sudo (1.7.2p7-1ubuntu2) maverick; urgency=low

sudo (1.7.2p7-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes:
   - debian/rules:
     - compile with --without-lecture --with-tty-tickets (Ubuntu specific)
     - install man/man8/sudo_root.8 (Ubuntu specific)
     - install apport hooks
   - debian/sudo-ldap.dirs, debian/sudo.dirs: add
     usr/share/apport/package-hooks
   - debian/patches/ubuntu-sudo-as-admin-successful.patch: adjust sudo.c so
     that if the user successfully authenticated and he is in the 'admin'
     group, then create a stamp ~/.sudo_as_admin_successful. Our default bash
     profile checks for this and displays a short intro about sudo if the flag
     is not present
  * Dropped the following, now included upstream:
    - fix for CVE-2010-1163
    - fix for CVE-2010-0426
    - debian/sudo.postinst, debian/sudo-ldap.postinst: update description to
      match behavior in sudoers file
    - don't install init script. Debian moved to /var/lib/sudo from
      /var/run/sudo, so Ubuntu's tmpfs usage won't clean those out
      automatically any more, so we now need the initscript.

 -- Jamie Strandboge <email address hidden> Tue, 06 Jul 2010 11:43:05 -0500

None of the intervening changelog entries mention dropping the patch, so guessing it was dropped in error?

tags: added: regression-release
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sudo - 1.7.4p4-5ubuntu4

---------------
sudo (1.7.4p4-5ubuntu4) natty; urgency=low

  * debian/rules: The ubuntu-sudo-as-admin-successful.patch was taken
    upstream by Debian however it requires a --enable-admin-flag configure
    flag to actually enable it.
    (LP: #706045)
 -- Bryce Harrington <email address hidden> Thu, 10 Feb 2011 12:01:53 -0800

Changed in sudo (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers